# frshuf.mak Version 0.1.0 - Compile Fischer Random Shuffle
# Copyright (C) 2004  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:

#      Free Software Foundation, Inc. 
#      59 Temple Place - Suite 330
#      Boston, MA  02111-1307, USA.

OBJ=frshuf.res \
        frshuf.obj \
        frsfen.obj \
        chmast.obj \
        frslst.obj

EXE=frshuf.exe frsfen.exe chmast.exe frslst.exe

INCLUDE=$(INCLUDE);.

LIB=$(LIB);.

GUILIBS=$(GUILIBS) frshuf.lib

LDFLAGS=-DEFAULTLIB:frshuf.lib $(GUILIBS)

all:		$(OBJ) $(EXE)

frshuf.exe:             frshuf.lib frshuf.obj frshuf.res
	$(LINKER) \
	$(GUIFLAGS) \
	/libpath:. \
	/defaultlib:frshuf.lib \
	/OUT:frshuf.exe \
	frshuf.obj \
        frshuf.res \
	$(LDFLAGS)

frsfen.exe:		frshuf.lib frsfen.obj
	$(LINKER) \
	/libpath:. \
	/defaultlib:frshuf.lib \
	/OUT:frsfen.exe \
	frsfen.obj \
	$(LDFLAGS)

chmast.exe:            frshuf.lib chmast.obj
	$(LINKER) \
	/libpath:. \
	/defaultlib:frshuf.lib \
        /OUT:chmast.exe \
        chmast.obj \
	$(LDFLAGS)

frslst.exe:		frshuf.lib frslst.obj
	$(LINKER) \
	/libpath:. \
	/defaultlib:frshuf.lib \
	/OUT:frslst.exe \
	frslst.obj \
	$(LDFLAGS)

frshuf.obj:		frshuf.lib frshuf.c frshuf.h
	$(CC) $(CFLAGS) frshuf.c

frshuf.res:		frshuf.rc frshuf.h
	$(RC) $(RCVARS) frshuf.rc

frsfen.obj:		frshuf.lib frsfen.c frshuf.h
	$(CC) $(CFLAGS) frsfen.c

chmast.obj:             frshuf.lib chmast.c frshuf.h
        $(CC) $(CFLAGS) chmast.c

frslst.obj:		frshuf.lib frslst.c frshuf.h
	$(CC) $(CFLAGS) frslst.c

clean:
	erase frshuf.obj
        erase frsfen.obj
        erase chmast.obj
        erase frslst.obj
	erase frshuf.res
	erase frshuf.exe
        erase frsfen.exe
        erase chmast.exe
        erase frslst.exe
